<?php
/*
	Template Name: Front Page
	D5 Business Line Pro Theme's Front Page to Display the Home Page if Selected
	Copyright: 2012-2014, D5 Creation, www.d5creation.com
	Based on the Simplest D5 Framework for WordPress
	Since D5 Business Line 1.0
*/
?>

<?php get_header(); ?>


<?php if ( of_get_option('banner-video') != '' ):  
echo '<div style="width: 1050px; padding: 15px 0; margin: 20px auto; background:#555555; overflow: hidden;"><div style="display:table; margin: 0 auto;"> ';
echo of_get_option('banner-video');

echo '</div></div>';
else:

?>

<div id="slide-container">
<div id="slide">

<?php
$sin=of_get_option('slide-number', '10');
foreach (range(1, $sin) as $sinumber)  {
 
	if ( of_get_option('slide-image' . $sinumber, get_template_directory_uri() . '/images/slide-image/slide-image' . $sinumber . '.jpg') != '' ) : ?>
    <img src="<?php echo of_get_option('slide-image' . $sinumber, get_template_directory_uri() . '/images/slide-image/slide-image' . $sinumber . '.jpg'); ?>" <?php if ( of_get_option('slide-image' . $sinumber . '-caption', 'This is a Test Image for D5 Business Line Extend Theme. If you feel any problem please contact with D5 Creation.') != '' ) : ?> alt="<?php echo '<blockquote>' . of_get_option('slide-image' . $sinumber . '-caption', 'This is a Test Image for D5 Business Line Extend Theme. If you feel any problem please contact with D5 Creation.') . '</blockquote>' ?>" <?php ; endif; ?> />
        <a href="<?php echo of_get_option('slide-image' . $sinumber . '-link', '#'); ?>"></a>
	
<?php endif;   } wp_enqueue_script( 'd5businessline-slider', get_template_directory_uri(). '/js/jqFancyTransitions.1.8.min.js', false ); ?>
</div > <!-- slide -->

<script type="text/javascript">
jQuery(window).load( function(){

    jQuery('#slide').jqFancyTransitions({ 
	width: <?php if (of_get_option ( 'slide-width', '1050' ) != '' ): echo of_get_option ( 'slide-width', '1050' ); else:  echo '1050'; endif; ?>, // width of panel
	height: <?php if (of_get_option ( 'slide-height', '400' ) != '' ): echo of_get_option ( 'slide-height', '400' ); else:  echo '400'; endif; ?>, // height of panel
	strips: <?php echo of_get_option('slide-strips', '19'); ?>, // number of strips
	delay: <?php echo of_get_option('slide-duration', '5000'); ?>, // delay between images in ms
	stripDelay: <?php echo of_get_option('slide-dstrips', '50'); ?>, // delay beetwen strips in ms
	titleOpacity: 1, // opacity of title
	titleSpeed: <?php echo of_get_option('slide-cspeed', '1000'); ?>, // speed of title appereance in ms
	position: '<?php echo of_get_option('slide-position', 'alternate'); ?>', // top, bottom, alternate, curtain
	direction: '<?php echo of_get_option('slide-direction', 'fountainAlternate'); ?>', // left, right, alternate, random, fountain, fountainAlternate
	effect: '<?php echo of_get_option('slide-effect', 'zipper'); ?>', // curtain, zipper, wave
	navigation: true, // prev next and buttons
	links : true // show images as links 
	});

});
</script>
<?php if (of_get_option ( 'slide-shadow', '0' ) == '1' ): echo '<style>#slide-container { background: transparent; }</style>'; endif; 
if (of_get_option ( 'slide-color', '' ) != '' ): echo '<style>#slide-container { background-color:' . of_get_option ( 'slide-color', '' ) . '; padding: 20px 0 30px;} 
#heading { margin: -10px 0 20px; } #slide { border: none; border-radius: 0; box-shadow: none; }</style>'; endif; ?>
</div> <!-- slide-container -->

<?php endif; ?>

<div id="container">
<h1 id="heading"><?php echo of_get_option('heading_text', 'World class and industry standard IT services are our passion. We build your ideas True'); ?></h1>

<?php get_template_part( 'featured-box' ); ?> 
<?php if (of_get_option('fpostex', '1') != '1'): get_template_part( 'fcontent' ); endif;?>

<?php if ( of_get_option('client-visibility', '1') == '1' ) : ?>
<h2 id="client-text" class="post-title"><?php echo of_get_option('client-text', 'Some of our Proud Partners') ?></h2>
<div class="content-ver-sep"></div>
<div id="client">

	<?php
	$clsin=array("1","2","3","4","5","6","7");
	foreach ($clsin as $clsinumber)  {
 
	if ( of_get_option('client' . $clsinumber, get_template_directory_uri() . '/images/client' . $clsinumber . '.png') != '' ) : if ( of_get_option('client-image' . $clsinumber . '-link', '') != '' ): echo '<a href="' . of_get_option('client-image' . $clsinumber . '-link', '') . '" target="_blank">'; endif; ?><img src="<?php echo of_get_option('client' . $clsinumber, get_template_directory_uri() . '/images/client' . $clsinumber . '.png'); ?>"/><?php if (of_get_option('client-image' . $clsinumber . '-link', '') != '' ): echo '</a>'; endif;  endif; } ?>

</div>

<?php endif; ?>

<?php if ( of_get_option('bottom-quotation', 'All the developers of D5 Creation have come from the disadvantaged part or group of the society. All have established themselves after a long and hard struggle in their life ----- D5 Creation Team') != '' ) : ?>
<div class="content-ver-sep"></div>
<div id="customers-comment">
<blockquote><?php echo of_get_option('bottom-quotation', 'All the developers of D5 Creation have come from the disadvantaged part or group of the society. All have established themselves after a long and hard struggle in their life ----- D5 Creation Team'); ?></blockquote>
</div>
<?php endif; ?>

<?php get_footer(); ?>